CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2021 开发者帮助

Delta 属性 (ActiveX)

2024-5-18 18:33| 发布者: admin| 查看: 87| 评论: 0|原作者: admin|来自: AutoCAD

Delta 属性 (ActiveX)

获取线的增量。

支持的平台:仅限 Windows

签名

VBA:

object.Delta
对象

类型:线

此属性应用于的对象。

属性值

只读:是的

类型:变体(双打的三元素阵列)

表示线的 deltaX、deltaY 和 deltaZ 值的三元素数组。

言论

没有其他评论。

例子

VBA:

Sub Example_Delta()
    ' This example adds a line in model space and returns the delta of the new line

    Dim lineObj As AcadLine
    Dim lineDelta As Variant
    Dim startPoint(0 To 2) As Double, endPoint(0 To 2) As Double
    
    ' Define the start and end points for the line
    startPoint(0) = 1: startPoint(1) = 1: startPoint(2) = 0
    endPoint(0) = 5: endPoint(1) = 5: endPoint(2) = 0
    
    ' Create the line in model space
    Set lineObj = ThisDrawing.modelSpace.AddLine(startPoint, endPoint)

    ThisDrawing.Application.ZoomAll
    
    ' Display the delta of the new line
    lineDelta = lineObj.Delta
    MsgBox "The delta of the new Line is: " & vbCrLf & _
           "DeltaX: " & lineDelta(0) & vbCrLf & _
           "DeltaY: " & lineDelta(1) & vbCrLf & _
           "DeltaZ: " & lineDelta(2)
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_Delta()
    ;; This example adds a line in model space and returns the delta of the new line
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the start and end points for the line
    (setq startPoint (vlax-3d-point 1 1 0)
          endPoint (vlax-3d-point 5 5 0))
    
    ;; Create the line in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq lineObj (vla-AddLine modelSpace startPoint endPoint))
    (vla-ZoomAll acadObj)
    
    ;; Display the delta of the new line
    (setq lineDelta (vlax-safearray->list (vlax-variant-value (vla-get-Delta lineObj))))
    (alert (strcat "The delta of the new Line is: "
                   "\nDeltaX: " (rtos (nth 0 lineDelta) 2)
                   "\nDeltaY: " (rtos (nth 1 lineDelta) 2)
                   "\nDeltaZ: " (rtos (nth 2 lineDelta) 2)
	   )
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2024-12-15 12:37

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部